
Misskey API endpoints table
===========================
  

|API endpoint|Wrapper Method|Params|Added|
| :---: | :---: | :---: | :---: |
|admin/meta| |{"params":[]}| |
|admin/abuse-user-reports| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"state","type":"String"},{"name":"reporterOrigin","type":"String"},{"name":"targetUserOrigin","type":"String"},{"name":"forwarded","type":"Boolean"}]}| |
|admin/accounts/create| |{"params":[{"name":"username","type":"String"},{"name":"password","type":"String"}]}| |
|admin/accounts/delete| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/ad/create| |{"params":[{"name":"url","type":"String"},{"name":"memo","type":"String"},{"name":"place","type":"String"},{"name":"priority","type":"String"},{"name":"ratio","type":"Integer"},{"name":"expiresAt","type":"Integer"},{"name":"imageUrl","type":"String"}]}| |
|admin/ad/delete| |{"params":[{"name":"id","type":"String"}]}| |
|admin/ad/list| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|admin/ad/update| |{"params":[{"name":"id","type":"String"},{"name":"memo","type":"String"},{"name":"url","type":"String"},{"name":"imageUrl","type":"String"},{"name":"place","type":"String"},{"name":"priority","type":"String"},{"name":"ratio","type":"Integer"},{"name":"expiresAt","type":"Integer"}]}| |
|admin/announcements/create| |{"params":[{"name":"title","type":"String"},{"name":"text","type":"String"},{"name":"imageUrl","type":"String"}]}| |
|admin/announcements/delete| |{"params":[{"name":"id","type":"String"}]}| |
|admin/announcements/list| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|admin/announcements/update| |{"params":[{"name":"id","type":"String"},{"name":"title","type":"String"},{"name":"text","type":"String"},{"name":"imageUrl","type":"String"}]}| |
|admin/delete-all-files-of-a-user| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/drive/clean-remote-files| |{"params":[]}| |
|admin/drive/cleanup| |{"params":[]}| |
|admin/drive/files| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"userId","type":"String"},{"name":"type","type":"String"},{"name":"origin","type":"String"},{"name":"hostname","type":"String"}]}| |
|admin/drive/show-file| |{"params":[]}| |
|admin/emoji/add-aliases-bulk| |{"params":[{"name":"ids","type":"Array"},{"name":"aliases","type":"Array"}]}| |
|admin/emoji/add| |{"params":[{"name":"fileId","type":"String"}]}| |
|admin/emoji/copy| |{"params":[{"name":"emojiId","type":"String"}]}| |
|admin/emoji/delete-bulk| |{"params":[{"name":"ids","type":"Array"}]}| |
|admin/emoji/delete| |{"params":[{"name":"id","type":"String"}]}| |
|admin/emoji/import-zip| |{"params":[{"name":"fileId","type":"String"}]}| |
|admin/emoji/list-remote| |{"params":[{"name":"query","type":"String"},{"name":"host","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|admin/emoji/list| |{"params":[{"name":"query","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|admin/emoji/remove-aliases-bulk| |{"params":[{"name":"ids","type":"Array"},{"name":"aliases","type":"Array"}]}| |
|admin/emoji/set-aliases-bulk| |{"params":[{"name":"ids","type":"Array"},{"name":"aliases","type":"Array"}]}| |
|admin/emoji/set-category-bulk| |{"params":[{"name":"ids","type":"Array"},{"name":"category","type":"String"}]}| |
|admin/emoji/update| |{"params":[{"name":"id","type":"String"},{"name":"name","type":"String"},{"name":"category","type":"String"},{"name":"aliases","type":"Array"}]}| |
|admin/federation/delete-all-files| |{"params":[{"name":"host","type":"String"}]}| |
|admin/federation/refresh-remote-instance-metadata| |{"params":[{"name":"host","type":"String"}]}| |
|admin/federation/remove-all-following| |{"params":[{"name":"host","type":"String"}]}| |
|admin/federation/update-instance| |{"params":[{"name":"host","type":"String"},{"name":"isSuspended","type":"Boolean"}]}| |
|admin/get-index-stats| |{"params":[]}| |
|admin/get-table-stats| |{"params":[]}| |
|admin/get-user-ips| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/invite| |{"params":[]}| |
|admin/moderators/add| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/moderators/remove| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/promo/create| |{"params":[{"name":"noteId","type":"String"},{"name":"expiresAt","type":"Integer"}]}| |
|admin/queue/clear| |{"params":[]}| |
|admin/queue/deliver-delayed| |{"params":[]}| |
|admin/queue/inbox-delayed| |{"params":[]}| |
|admin/queue/stats| |{"params":[]}| |
|admin/relays/add| |{"params":[{"name":"inbox","type":"String"}]}| |
|admin/relays/list| |{"params":[]}| |
|admin/relays/remove| |{"params":[{"name":"inbox","type":"String"}]}| |
|admin/reset-password| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/resolve-abuse-user-report| |{"params":[{"name":"reportId","type":"String"},{"name":"forward","type":"Boolean"}]}| |
|admin/send-email| |{"params":[{"name":"to","type":"String"},{"name":"subject","type":"String"},{"name":"text","type":"String"}]}| |
|admin/server-info| |{"params":[]}| |
|admin/show-moderation-logs| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|admin/show-user| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/show-users| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"sort","type":"String"},{"name":"state","type":"String"},{"name":"origin","type":"String"},{"name":"username","type":"String"},{"name":"hostname","type":"String"}]}| |
|admin/silence-user| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/suspend-user| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/unsilence-user| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/unsuspend-user| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/update-meta| |{"params":[{"name":"disableRegistration","type":"Boolean"},{"name":"disableLocalTimeline","type":"Boolean"},{"name":"disableGlobalTimeline","type":"Boolean"},{"name":"useStarForReactionFallback","type":"Boolean"},{"name":"pinnedUsers","type":"Array"},{"name":"hiddenTags","type":"Array"},{"name":"blockedHosts","type":"Array"},{"name":"themeColor","type":"String"},{"name":"mascotImageUrl","type":"String"},{"name":"bannerUrl","type":"String"},{"name":"errorImageUrl","type":"String"},{"name":"iconUrl","type":"String"},{"name":"backgroundImageUrl","type":"String"},{"name":"logoImageUrl","type":"String"},{"name":"name","type":"String"},{"name":"description","type":"String"},{"name":"defaultLightTheme","type":"String"},{"name":"defaultDarkTheme","type":"String"},{"name":"localDriveCapacityMb","type":"Integer"},{"name":"remoteDriveCapacityMb","type":"Integer"},{"name":"cacheRemoteFiles","type":"Boolean"},{"name":"emailRequiredForSignup","type":"Boolean"},{"name":"enableHcaptcha","type":"Boolean"},{"name":"hcaptchaSiteKey","type":"String"},{"name":"hcaptchaSecretKey","type":"String"},{"name":"enableRecaptcha","type":"Boolean"},{"name":"recaptchaSiteKey","type":"String"},{"name":"recaptchaSecretKey","type":"String"},{"name":"sensitiveMediaDetection","type":"String"},{"name":"sensitiveMediaDetectionSensitivity","type":"String"},{"name":"setSensitiveFlagAutomatically","type":"Boolean"},{"name":"enableSensitiveMediaDetectionForVideos","type":"Boolean"},{"name":"proxyAccountId","type":"String"},{"name":"maintainerName","type":"String"},{"name":"maintainerEmail","type":"String"},{"name":"pinnedPages","type":"Array"},{"name":"pinnedClipId","type":"String"},{"name":"langs","type":"Array"},{"name":"summalyProxy","type":"String"},{"name":"deeplAuthKey","type":"String"},{"name":"deeplIsPro","type":"Boolean"},{"name":"enableTwitterIntegration","type":"Boolean"},{"name":"twitterConsumerKey","type":"String"},{"name":"twitterConsumerSecret","type":"String"},{"name":"enableGithubIntegration","type":"Boolean"},{"name":"githubClientId","type":"String"},{"name":"githubClientSecret","type":"String"},{"name":"enableDiscordIntegration","type":"Boolean"},{"name":"discordClientId","type":"String"},{"name":"discordClientSecret","type":"String"},{"name":"enableEmail","type":"Boolean"},{"name":"email","type":"String"},{"name":"smtpSecure","type":"Boolean"},{"name":"smtpHost","type":"String"},{"name":"smtpPort","type":"Integer"},{"name":"smtpUser","type":"String"},{"name":"smtpPass","type":"String"},{"name":"enableServiceWorker","type":"Boolean"},{"name":"swPublicKey","type":"String"},{"name":"swPrivateKey","type":"String"},{"name":"tosUrl","type":"String"},{"name":"repositoryUrl","type":"String"},{"name":"feedbackUrl","type":"String"},{"name":"useObjectStorage","type":"Boolean"},{"name":"objectStorageBaseUrl","type":"String"},{"name":"objectStorageBucket","type":"String"},{"name":"objectStoragePrefix","type":"String"},{"name":"objectStorageEndpoint","type":"String"},{"name":"objectStorageRegion","type":"String"},{"name":"objectStoragePort","type":"Integer"},{"name":"objectStorageAccessKey","type":"String"},{"name":"objectStorageSecretKey","type":"String"},{"name":"objectStorageUseSSL","type":"Boolean"},{"name":"objectStorageUseProxy","type":"Boolean"},{"name":"objectStorageSetPublicRead","type":"Boolean"},{"name":"objectStorageS3ForcePathStyle","type":"Boolean"},{"name":"enableIpLogging","type":"Boolean"},{"name":"enableActiveEmailValidation","type":"Boolean"}]}| |
|admin/vacuum| |{"params":[{"name":"full","type":"Boolean"},{"name":"analyze","type":"Boolean"}]}| |
|admin/delete-account| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/update-user-note| |{"params":[{"name":"userId","type":"String"},{"name":"text","type":"String"}]}| |
|announcements| |{"params":[{"name":"limit","type":"Integer"},{"name":"withUnreads","type":"Boolean"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|antennas/create| |{"params":[{"name":"name","type":"String"},{"name":"src","type":"String"},{"name":"userListId","type":"String"},{"name":"userGroupId","type":"String"},{"name":"keywords","type":"Array"},{"name":"excludeKeywords","type":"Array"},{"name":"users","type":"Array"},{"name":"caseSensitive","type":"Boolean"},{"name":"withReplies","type":"Boolean"},{"name":"withFile","type":"Boolean"},{"name":"notify","type":"Boolean"}]}| |
|antennas/delete| |{"params":[{"name":"antennaId","type":"String"}]}| |
|antennas/list| |{"params":[]}| |
|antennas/notes| |{"params":[{"name":"antennaId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"}]}| |
|antennas/show| |{"params":[{"name":"antennaId","type":"String"}]}| |
|antennas/update| |{"params":[{"name":"antennaId","type":"String"},{"name":"name","type":"String"},{"name":"src","type":"String"},{"name":"userListId","type":"String"},{"name":"userGroupId","type":"String"},{"name":"keywords","type":"Array"},{"name":"excludeKeywords","type":"Array"},{"name":"users","type":"Array"},{"name":"caseSensitive","type":"Boolean"},{"name":"withReplies","type":"Boolean"},{"name":"withFile","type":"Boolean"},{"name":"notify","type":"Boolean"}]}| |
|ap/get| |{"params":[{"name":"uri","type":"String"}]}|✅|
|ap/show| |{"params":[{"name":"uri","type":"String"}]}|✅|
|app/create| |{"params":[{"name":"name","type":"String"},{"name":"description","type":"String"},{"name":"permission","type":"Array"},{"name":"callbackUrl","type":"String"}]}|✅|
|app/show| |{"params":[{"name":"appId","type":"String"}]}|✅|
|auth/accept| |{"params":[{"name":"token","type":"String"}]}|✅|
|auth/session/generate| |{"params":[{"name":"appSecret","type":"String"}]}|✅|
|auth/session/show| |{"params":[{"name":"token","type":"String"}]}|✅|
|auth/session/userkey| |{"params":[{"name":"appSecret","type":"String"},{"name":"token","type":"String"}]}|✅|
|blocking/create| |{"params":[{"name":"userId","type":"String"}]}| |
|blocking/delete| |{"params":[{"name":"userId","type":"String"}]}| |
|blocking/list| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|channels/create| |{"params":[{"name":"name","type":"String"},{"name":"description","type":"String"},{"name":"bannerId","type":"String"}]}| |
|channels/featured| |{"params":[]}| |
|channels/follow| |{"params":[{"name":"channelId","type":"String"}]}| |
|channels/followed| |{"params":[{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|channels/owned| |{"params":[{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|channels/show| |{"params":[{"name":"channelId","type":"String"}]}| |
|channels/timeline| |{"params":[{"name":"channelId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"}]}| |
|channels/unfollow| |{"params":[{"name":"channelId","type":"String"}]}| |
|channels/update| |{"params":[{"name":"channelId","type":"String"},{"name":"name","type":"String"},{"name":"description","type":"String"},{"name":"bannerId","type":"String"}]}| |
|charts/active-users| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|charts/ap-request| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|charts/drive| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|charts/federation| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}|✅|
|charts/hashtag| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"tag","type":"String"}]}| |
|charts/instance| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"host","type":"String"}]}| |
|charts/notes| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|charts/user/drive| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"userId","type":"String"}]}| |
|charts/user/following| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"userId","type":"String"}]}| |
|charts/user/notes| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"userId","type":"String"}]}| |
|charts/user/reactions| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"userId","type":"String"}]}| |
|charts/users| |{"params":[{"name":"span","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|clips/add-note| |{"params":[{"name":"clipId","type":"String"},{"name":"noteId","type":"String"}]}| |
|clips/remove-note| |{"params":[{"name":"clipId","type":"String"},{"name":"noteId","type":"String"}]}| |
|clips/create| |{"params":[{"name":"name","type":"String"},{"name":"isPublic","type":"Boolean"},{"name":"description","type":"String"}]}| |
|clips/delete| |{"params":[{"name":"clipId","type":"String"}]}| |
|clips/list| |{"params":[]}| |
|clips/notes| |{"params":[{"name":"clipId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|clips/show| |{"params":[{"name":"clipId","type":"String"}]}| |
|clips/update| |{"params":[{"name":"clipId","type":"String"},{"name":"name","type":"String"},{"name":"isPublic","type":"Boolean"},{"name":"description","type":"String"}]}| |
|drive| |{"params":[]}| |
|drive/files| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"folderId","type":"String"},{"name":"type","type":"String"}]}| |
|drive/files/attached-notes| |{"params":[{"name":"fileId","type":"String"}]}| |
|drive/files/check-existence| |{"params":[{"name":"md5","type":"String"}]}| |
|drive/files/create| |{"params":[{"name":"folderId","type":"String"},{"name":"name","type":"String"},{"name":"comment","type":"String"},{"name":"isSensitive","type":"Boolean"},{"name":"force","type":"Boolean"},{"name":"file","type":"String"}]}| |
|drive/files/delete| |{"params":[{"name":"fileId","type":"String"}]}| |
|drive/files/find-by-hash| |{"params":[{"name":"md5","type":"String"}]}| |
|drive/files/find| |{"params":[{"name":"name","type":"String"},{"name":"folderId","type":"String"}]}| |
|drive/files/show| |{"params":[]}| |
|drive/files/update| |{"params":[{"name":"fileId","type":"String"},{"name":"folderId","type":"String"},{"name":"name","type":"String"},{"name":"isSensitive","type":"Boolean"},{"name":"comment","type":"String"}]}| |
|drive/files/upload-from-url| |{"params":[{"name":"url","type":"String"},{"name":"folderId","type":"String"},{"name":"isSensitive","type":"Boolean"},{"name":"comment","type":"String"},{"name":"marker","type":"String"},{"name":"force","type":"Boolean"}]}| |
|drive/folders| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"folderId","type":"String"}]}| |
|drive/folders/create| |{"params":[{"name":"name","type":"String"},{"name":"parentId","type":"String"}]}| |
|drive/folders/delete| |{"params":[{"name":"folderId","type":"String"}]}| |
|drive/folders/find| |{"params":[{"name":"name","type":"String"},{"name":"parentId","type":"String"}]}| |
|drive/folders/show| |{"params":[{"name":"folderId","type":"String"}]}| |
|drive/folders/update| |{"params":[{"name":"folderId","type":"String"},{"name":"name","type":"String"},{"name":"parentId","type":"String"}]}| |
|drive/stream| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"type","type":"String"}]}| |
|email-address/available| |{"params":[{"name":"emailAddress","type":"String"}]}| |
|endpoint| |{"params":[{"name":"endpoint","type":"String"}]}|✅|
|endpoints| |{"params":[]}|✅|
|export-custom-emojis| |{"params":[]}| |
|federation/followers| |{"params":[{"name":"host","type":"String"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|federation/following| |{"params":[{"name":"host","type":"String"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|federation/instances| |{"params":[{"name":"host","type":"String"},{"name":"blocked","type":"Boolean"},{"name":"notResponding","type":"Boolean"},{"name":"suspended","type":"Boolean"},{"name":"federating","type":"Boolean"},{"name":"subscribing","type":"Boolean"},{"name":"publishing","type":"Boolean"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"sort","type":"String"}]}|✅|
|federation/show-instance| |{"params":[{"name":"host","type":"String"}]}| |
|federation/update-remote-user| |{"params":[{"name":"userId","type":"String"}]}| |
|federation/users| |{"params":[{"name":"host","type":"String"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|federation/stats| |{"params":[{"name":"limit","type":"Integer"}]}|✅|
|following/create| |{"params":[{"name":"userId","type":"String"}]}| |
|following/delete| |{"params":[{"name":"userId","type":"String"}]}| |
|following/invalidate| |{"params":[{"name":"userId","type":"String"}]}| |
|following/requests/accept| |{"params":[{"name":"userId","type":"String"}]}| |
|following/requests/cancel| |{"params":[{"name":"userId","type":"String"}]}| |
|following/requests/list| |{"params":[]}| |
|following/requests/reject| |{"params":[{"name":"userId","type":"String"}]}| |
|gallery/featured| |{"params":[]}| |
|gallery/popular| |{"params":[]}| |
|gallery/posts| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|gallery/posts/create| |{"params":[{"name":"title","type":"String"},{"name":"description","type":"String"},{"name":"fileIds","type":"Array"},{"name":"isSensitive","type":"Boolean"}]}| |
|gallery/posts/delete| |{"params":[{"name":"postId","type":"String"}]}| |
|gallery/posts/like| |{"params":[{"name":"postId","type":"String"}]}| |
|gallery/posts/show| |{"params":[{"name":"postId","type":"String"}]}| |
|gallery/posts/unlike| |{"params":[{"name":"postId","type":"String"}]}| |
|gallery/posts/update| |{"params":[{"name":"postId","type":"String"},{"name":"title","type":"String"},{"name":"description","type":"String"},{"name":"fileIds","type":"Array"},{"name":"isSensitive","type":"Boolean"}]}| |
|get-online-users-count| |{"params":[]}| |
|hashtags/list| |{"params":[{"name":"limit","type":"Integer"},{"name":"attachedToUserOnly","type":"Boolean"},{"name":"attachedToLocalUserOnly","type":"Boolean"},{"name":"attachedToRemoteUserOnly","type":"Boolean"},{"name":"sort","type":"String"}]}| |
|hashtags/search| |{"params":[{"name":"limit","type":"Integer"},{"name":"query","type":"String"},{"name":"offset","type":"Integer"}]}| |
|hashtags/show| |{"params":[{"name":"tag","type":"String"}]}| |
|hashtags/trend| |{"params":[]}| |
|hashtags/users| |{"params":[{"name":"tag","type":"String"},{"name":"limit","type":"Integer"},{"name":"sort","type":"String"},{"name":"state","type":"String"},{"name":"origin","type":"String"}]}| |
|i| |{"params":[]}|✅|
|i/2fa/done| |{"params":[{"name":"token","type":"String"}]}| |
|i/2fa/key-done| |{"params":[{"name":"clientDataJSON","type":"String"},{"name":"attestationObject","type":"String"},{"name":"password","type":"String"},{"name":"challengeId","type":"String"},{"name":"name","type":"String"}]}| |
|i/2fa/password-less| |{"params":[{"name":"value","type":"Boolean"}]}| |
|i/2fa/register-key| |{"params":[{"name":"password","type":"String"}]}| |
|i/2fa/register| |{"params":[{"name":"password","type":"String"}]}| |
|i/2fa/remove-key| |{"params":[{"name":"password","type":"String"},{"name":"credentialId","type":"String"}]}| |
|i/2fa/unregister| |{"params":[{"name":"password","type":"String"}]}| |
|i/apps| |{"params":[{"name":"sort","type":"String"}]}| |
|i/authorized-apps| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"sort","type":"String"}]}| |
|i/change-password| |{"params":[{"name":"currentPassword","type":"String"},{"name":"newPassword","type":"String"}]}| |
|i/delete-account| |{"params":[{"name":"password","type":"String"}]}| |
|i/export-blocking| |{"params":[]}| |
|i/export-following| |{"params":[{"name":"excludeMuting","type":"Boolean"},{"name":"excludeInactive","type":"Boolean"}]}| |
|i/export-mute| |{"params":[]}| |
|i/export-notes| |{"params":[]}| |
|i/export-user-lists| |{"params":[]}| |
|i/favorites| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|i/gallery/likes| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|i/gallery/posts| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|i/get-word-muted-notes-count| |{"params":[]}| |
|i/import-blocking| |{"params":[{"name":"fileId","type":"String"}]}| |
|i/import-following| |{"params":[{"name":"fileId","type":"String"}]}| |
|i/import-muting| |{"params":[{"name":"fileId","type":"String"}]}| |
|i/import-user-lists| |{"params":[{"name":"fileId","type":"String"}]}| |
|i/notifications| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"following","type":"Boolean"},{"name":"unreadOnly","type":"Boolean"},{"name":"markAsRead","type":"Boolean"},{"name":"includeTypes","type":"Array"},{"name":"excludeTypes","type":"Array"}]}|✅|
|i/page-likes| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|i/pages| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|i/pin| |{"params":[{"name":"noteId","type":"String"}]}| |
|i/read-all-messaging-messages| |{"params":[]}| |
|i/read-all-unread-notes| |{"params":[]}| |
|i/read-announcement| |{"params":[{"name":"announcementId","type":"String"}]}| |
|i/regenerate-token| |{"params":[{"name":"password","type":"String"}]}| |
|i/registry/get-all| |{"params":[{"name":"scope","type":"Array"}]}| |
|i/registry/get-detail| |{"params":[{"name":"key","type":"String"},{"name":"scope","type":"Array"}]}| |
|i/registry/get| |{"params":[{"name":"key","type":"String"},{"name":"scope","type":"Array"}]}| |
|i/registry/keys-with-type| |{"params":[{"name":"scope","type":"Array"}]}| |
|i/registry/keys| |{"params":[{"name":"scope","type":"Array"}]}| |
|i/registry/remove| |{"params":[{"name":"key","type":"String"},{"name":"scope","type":"Array"}]}| |
|i/registry/scopes| |{"params":[]}| |
|i/registry/set| |{"params":[]}| |
|i/revoke-token| |{"params":[{"name":"tokenId","type":"String"}]}| |
|i/signin-history| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|i/unpin| |{"params":[{"name":"noteId","type":"String"}]}| |
|i/update-email| |{"params":[{"name":"password","type":"String"},{"name":"email","type":"String"}]}| |
|i/update| |{"params":[{"name":"name","type":"String"},{"name":"description","type":"String"},{"name":"location","type":"String"},{"name":"birthday","type":"String"},{"name":"lang","type":"String"},{"name":"avatarId","type":"String"},{"name":"bannerId","type":"String"},{"name":"fields","type":"Array"},{"name":"isLocked","type":"Boolean"},{"name":"isExplorable","type":"Boolean"},{"name":"hideOnlineStatus","type":"Boolean"},{"name":"publicReactions","type":"Boolean"},{"name":"carefulBot","type":"Boolean"},{"name":"autoAcceptFollowed","type":"Boolean"},{"name":"noCrawle","type":"Boolean"},{"name":"isBot","type":"Boolean"},{"name":"isCat","type":"Boolean"},{"name":"showTimelineReplies","type":"Boolean"},{"name":"injectFeaturedNote","type":"Boolean"},{"name":"receiveAnnouncementEmail","type":"Boolean"},{"name":"alwaysMarkNsfw","type":"Boolean"},{"name":"autoSensitive","type":"Boolean"},{"name":"ffVisibility","type":"String"},{"name":"pinnedPageId","type":"Array"},{"name":"mutedWords","type":"Array"},{"name":"mutedInstances","type":"Array"},{"name":"mutingNotificationTypes","type":"Array"},{"name":"emailNotificationTypes","type":"Array"}]}| |
|i/user-group-invites| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|i/webhooks/create| |{"params":[{"name":"name","type":"String"},{"name":"url","type":"String"},{"name":"secret","type":"String"},{"name":"on","type":"Array"}]}| |
|i/webhooks/list| |{"params":[]}| |
|i/webhooks/show| |{"params":[{"name":"webhookId","type":"String"}]}| |
|i/webhooks/update| |{"params":[{"name":"webhookId","type":"String"},{"name":"name","type":"String"},{"name":"url","type":"String"},{"name":"secret","type":"String"},{"name":"on","type":"Array"},{"name":"active","type":"Boolean"}]}| |
|i/webhooks/delete| |{"params":[{"name":"webhookId","type":"String"}]}| |
|messaging/history| |{"params":[{"name":"limit","type":"Integer"},{"name":"group","type":"Boolean"}]}| |
|messaging/messages| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"markAsRead","type":"Boolean"}]}| |
|messaging/messages/create| |{"params":[{"name":"text","type":"String"},{"name":"fileId","type":"String"}]}| |
|messaging/messages/delete| |{"params":[{"name":"messageId","type":"String"}]}| |
|messaging/messages/read| |{"params":[{"name":"messageId","type":"String"}]}| |
|meta| |{"params":[{"name":"detail","type":"Boolean"}]}| |
|miauth/gen-token| |{"params":[{"name":"session","type":"String"},{"name":"name","type":"String"},{"name":"description","type":"String"},{"name":"iconUrl","type":"String"},{"name":"permission","type":"Array"}]}| |
|mute/create| |{"params":[{"name":"userId","type":"String"},{"name":"expiresAt","type":"Integer"}]}| |
|mute/delete| |{"params":[{"name":"userId","type":"String"}]}| |
|mute/list| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|my/apps| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}|✅|
|notes| |{"params":[{"name":"local","type":"Boolean"},{"name":"reply","type":"Boolean"},{"name":"renote","type":"Boolean"},{"name":"withFiles","type":"Boolean"},{"name":"poll","type":"Boolean"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|notes/children| |{"params":[{"name":"noteId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|notes/clips| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/conversation| |{"params":[{"name":"noteId","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|notes/create| |{"params":[{"name":"visibility","type":"String"},{"name":"visibleUserIds","type":"Array"},{"name":"text","type":"String"},{"name":"cw","type":"String"},{"name":"localOnly","type":"Boolean"},{"name":"noExtractMentions","type":"Boolean"},{"name":"noExtractHashtags","type":"Boolean"},{"name":"noExtractEmojis","type":"Boolean"},{"name":"fileIds","type":"Array"},{"name":"mediaIds","type":"Array"},{"name":"replyId","type":"String"},{"name":"renoteId","type":"String"},{"name":"channelId","type":"String"},{"name":"poll","type":"Object"}]}|✅|
|notes/delete| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/favorites/create| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/favorites/delete| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/featured| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|notes/global-timeline| |{"params":[{"name":"withFiles","type":"Boolean"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"}]}| |
|notes/hybrid-timeline| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"},{"name":"includeMyRenotes","type":"Boolean"},{"name":"includeRenotedMyNotes","type":"Boolean"},{"name":"includeLocalRenotes","type":"Boolean"},{"name":"withFiles","type":"Boolean"}]}| |
|notes/local-timeline| |{"params":[{"name":"withFiles","type":"Boolean"},{"name":"fileType","type":"Array"},{"name":"excludeNsfw","type":"Boolean"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"}]}| |
|notes/mentions| |{"params":[{"name":"following","type":"Boolean"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"visibility","type":"String"}]}| |
|notes/polls/recommendation| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|notes/polls/vote| |{"params":[{"name":"noteId","type":"String"},{"name":"choice","type":"Integer"}]}| |
|notes/reactions| |{"params":[{"name":"noteId","type":"String"},{"name":"type","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|notes/reactions/create| |{"params":[{"name":"noteId","type":"String"},{"name":"reaction","type":"String"}]}| |
|notes/reactions/delete| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/renotes| |{"params":[{"name":"noteId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|notes/replies| |{"params":[{"name":"noteId","type":"String"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|notes/search-by-tag| |{"params":[{"name":"reply","type":"Boolean"},{"name":"renote","type":"Boolean"},{"name":"withFiles","type":"Boolean"},{"name":"poll","type":"Boolean"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|notes/search| |{"params":[{"name":"query","type":"String"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"host","type":"String"},{"name":"userId","type":"String"},{"name":"channelId","type":"String"}]}| |
|notes/show| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/state| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/thread-muting/create| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/thread-muting/delete| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/timeline| |{"params":[{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"},{"name":"includeMyRenotes","type":"Boolean"},{"name":"includeRenotedMyNotes","type":"Boolean"},{"name":"includeLocalRenotes","type":"Boolean"},{"name":"withFiles","type":"Boolean"}]}| |
|notes/translate| |{"params":[{"name":"noteId","type":"String"},{"name":"targetLang","type":"String"}]}| |
|notes/unrenote| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/user-list-timeline| |{"params":[{"name":"listId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"},{"name":"includeMyRenotes","type":"Boolean"},{"name":"includeRenotedMyNotes","type":"Boolean"},{"name":"includeLocalRenotes","type":"Boolean"},{"name":"withFiles","type":"Boolean"}]}| |
|notes/watching/create| |{"params":[{"name":"noteId","type":"String"}]}| |
|notes/watching/delete| |{"params":[{"name":"noteId","type":"String"}]}| |
|notifications/create| |{"params":[{"name":"body","type":"String"},{"name":"header","type":"String"},{"name":"icon","type":"String"}]}| |
|notifications/mark-all-as-read| |{"params":[]}| |
|notifications/read| |{"params":[]}|✅|
|page-push| |{"params":[]}| |
|pages/create| |{"params":[{"name":"title","type":"String"},{"name":"name","type":"String"},{"name":"summary","type":"String"},{"name":"content","type":"Array"},{"name":"variables","type":"Array"},{"name":"script","type":"String"},{"name":"eyeCatchingImageId","type":"String"},{"name":"font","type":"String"},{"name":"alignCenter","type":"Boolean"},{"name":"hideTitleWhenPinned","type":"Boolean"}]}| |
|pages/delete| |{"params":[{"name":"pageId","type":"String"}]}| |
|pages/featured| |{"params":[]}| |
|pages/like| |{"params":[{"name":"pageId","type":"String"}]}| |
|pages/show| |{"params":[]}| |
|pages/unlike| |{"params":[{"name":"pageId","type":"String"}]}| |
|pages/update| |{"params":[{"name":"pageId","type":"String"},{"name":"title","type":"String"},{"name":"name","type":"String"},{"name":"summary","type":"String"},{"name":"content","type":"Array"},{"name":"variables","type":"Array"},{"name":"script","type":"String"},{"name":"eyeCatchingImageId","type":"String"},{"name":"font","type":"String"},{"name":"alignCenter","type":"Boolean"},{"name":"hideTitleWhenPinned","type":"Boolean"}]}| |
|ping| |{"params":[]}| |
|pinned-users| |{"params":[]}| |
|promo/read| |{"params":[{"name":"noteId","type":"String"}]}| |
|request-reset-password| |{"params":[{"name":"username","type":"String"},{"name":"email","type":"String"}]}| |
|reset-db| |{"params":[]}| |
|reset-password| |{"params":[{"name":"token","type":"String"},{"name":"password","type":"String"}]}| |
|server-info| |{"params":[]}|✅|
|stats| |{"params":[]}|✅|
|sw/register| |{"params":[{"name":"endpoint","type":"String"},{"name":"auth","type":"String"},{"name":"publickey","type":"String"}]}| |
|sw/unregister| |{"params":[{"name":"endpoint","type":"String"}]}| |
|test| |{"params":[{"name":"required","type":"Boolean"},{"name":"string","type":"String"},{"name":"default","type":"String"},{"name":"nullableDefault","type":"String"},{"name":"id","type":"String"}]}| |
|username/available| |{"params":[{"name":"username","type":"String"}]}| |
|users| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"},{"name":"sort","type":"String"},{"name":"state","type":"String"},{"name":"origin","type":"String"},{"name":"hostname","type":"String"}]}| |
|users/clips| |{"params":[{"name":"userId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|users/followers| |{"params":[{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|users/following| |{"params":[{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|users/gallery/posts| |{"params":[{"name":"userId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|users/get-frequently-replied-users| |{"params":[{"name":"userId","type":"String"},{"name":"limit","type":"Integer"}]}| |
|users/groups/create| |{"params":[{"name":"name","type":"String"}]}|✅|
|users/groups/delete| |{"params":[{"name":"groupId","type":"String"}]}|✅|
|users/groups/invitations/accept| |{"params":[{"name":"invitationId","type":"String"}]}| |
|users/groups/invitations/reject| |{"params":[{"name":"invitationId","type":"String"}]}| |
|users/groups/invite| |{"params":[{"name":"groupId","type":"String"},{"name":"userId","type":"String"}]}| |
|users/groups/joined| |{"params":[]}| |
|users/groups/leave| |{"params":[{"name":"groupId","type":"String"}]}| |
|users/groups/owned| |{"params":[]}| |
|users/groups/pull| |{"params":[{"name":"groupId","type":"String"},{"name":"userId","type":"String"}]}| |
|users/groups/show| |{"params":[{"name":"groupId","type":"String"}]}| |
|users/groups/transfer| |{"params":[{"name":"groupId","type":"String"},{"name":"userId","type":"String"}]}| |
|users/groups/update| |{"params":[{"name":"groupId","type":"String"},{"name":"name","type":"String"}]}| |
|users/lists/create| |{"params":[{"name":"name","type":"String"}]}| |
|users/lists/delete| |{"params":[{"name":"listId","type":"String"}]}| |
|users/lists/list| |{"params":[]}| |
|users/lists/pull| |{"params":[{"name":"listId","type":"String"},{"name":"userId","type":"String"}]}| |
|users/lists/push| |{"params":[{"name":"listId","type":"String"},{"name":"userId","type":"String"}]}| |
|users/lists/show| |{"params":[{"name":"listId","type":"String"}]}| |
|users/lists/update| |{"params":[{"name":"listId","type":"String"},{"name":"name","type":"String"}]}| |
|users/notes| |{"params":[{"name":"userId","type":"String"},{"name":"includeReplies","type":"Boolean"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"},{"name":"includeMyRenotes","type":"Boolean"},{"name":"withFiles","type":"Boolean"},{"name":"fileType","type":"Array"},{"name":"excludeNsfw","type":"Boolean"}]}| |
|users/pages| |{"params":[{"name":"userId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"}]}| |
|users/reactions| |{"params":[{"name":"userId","type":"String"},{"name":"limit","type":"Integer"},{"name":"sinceId","type":"String"},{"name":"untilId","type":"String"},{"name":"sinceDate","type":"Integer"},{"name":"untilDate","type":"Integer"}]}| |
|users/recommendation| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|users/relation| |{"params":[{"name":"limit","type":"Integer"},{"name":"offset","type":"Integer"}]}| |
|users/report-abuse| |{"params":[{"name":"userId","type":"String"},{"name":"comment","type":"String"}]}| |
|users/search-by-username-and-host| |{"params":[{"name":"username","type":"String"},{"name":"host","type":"String"},{"name":"limit","type":"Integer"},{"name":"detail","type":"Boolean"}]}| |
|users/search| |{"params":[{"name":"query","type":"String"},{"name":"offset","type":"Integer"},{"name":"limit","type":"Integer"},{"name":"origin","type":"String"},{"name":"detail","type":"Boolean"}]}| |
|users/show| |{"params":[]}| |
|users/stats| |{"params":[{"name":"userId","type":"String"}]}| |
|admin/drive-capacity-override| |{"params":[{"name":"userId","type":"String"},{"name":"overrideMb","type":"Number"}]}| |
|fetch-rss| |{"params":[{"name":"url","type":"String"}]}| |
